<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Mailbox Driver External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Mailbox Driver External Data Structures<div class="ingroups"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r.html">MAILBOX Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This section has a list of all the data structures which are exposed to the application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html">Mailbox_Config_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox Configuration Parameters.  <a href="struct_mailbox___config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___stats__t.html">Mailbox_Stats_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox Statistics.  <a href="struct_mailbox___stats__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gac7f59f1473cd97e25d4f6b01b8af8c5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac7f59f1473cd97e25d4f6b01b8af8c5d"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a></td></tr>
<tr class="memdesc:gac7f59f1473cd97e25d4f6b01b8af8c5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A handle that is returned from a <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790" title="Function to initialize an instance of the mailbox driver. ">Mailbox_open()</a> call. <br /></td></tr>
<tr class="separator:gac7f59f1473cd97e25d4f6b01b8af8c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a2b67c5382c59ec6448164fc93ceffe"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2a2b67c5382c59ec6448164fc93ceffe">Mailbox_Callback</a>) (<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a> handle, <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3fd8433860dbf1ce1d5692461a8603ee">Mailbox_Type</a> remoteEndpoint)</td></tr>
<tr class="memdesc:ga2a2b67c5382c59ec6448164fc93ceffe"><td class="mdescLeft">&#160;</td><td class="mdescRight">The definition of a callback function used by the MAILBOX driver when used in MAILBOX_MODE_CALLBACK. The callback can occur in task or HWI context.  <a href="#ga2a2b67c5382c59ec6448164fc93ceffe">More...</a><br /></td></tr>
<tr class="separator:ga2a2b67c5382c59ec6448164fc93ceffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga566c808f4a14ffe067a3ac60a513928e"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mailbox___config__t.html">Mailbox_Config_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga566c808f4a14ffe067a3ac60a513928e">Mailbox_Config</a></td></tr>
<tr class="memdesc:ga566c808f4a14ffe067a3ac60a513928e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox Configuration Parameters.  <a href="#ga566c808f4a14ffe067a3ac60a513928e">More...</a><br /></td></tr>
<tr class="separator:ga566c808f4a14ffe067a3ac60a513928e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e985a30d94e9fb71612c06d8a9db96a"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mailbox___stats__t.html">Mailbox_Stats_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2e985a30d94e9fb71612c06d8a9db96a">Mailbox_Stats</a></td></tr>
<tr class="memdesc:ga2e985a30d94e9fb71612c06d8a9db96a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox Statistics.  <a href="#ga2e985a30d94e9fb71612c06d8a9db96a">More...</a><br /></td></tr>
<tr class="separator:ga2e985a30d94e9fb71612c06d8a9db96a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This section has a list of all the data structures which are exposed to the application. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga2a2b67c5382c59ec6448164fc93ceffe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* Mailbox_Callback) (<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a> handle, <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3fd8433860dbf1ce1d5692461a8603ee">Mailbox_Type</a> remoteEndpoint)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The definition of a callback function used by the MAILBOX driver when used in MAILBOX_MODE_CALLBACK. The callback can occur in task or HWI context. </p>
<dl class="section warning"><dt>Warning</dt><dd>Making <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read()</a> calls within its own callback routines are STRONGLY discouraged as it will impact Task and System stack size requirements!</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">handle</td><td>Mbox_Handle </td></tr>
    <tr><td class="paramname">remoteEndpoint</td><td>Remote endpoint </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga566c808f4a14ffe067a3ac60a513928e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mailbox___config__t.html">Mailbox_Config_t</a>  <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga566c808f4a14ffe067a3ac60a513928e">Mailbox_Config</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox Configuration Parameters. </p>
<p>Mailbox configuration parameters are used with the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790" title="Function to initialize an instance of the mailbox driver. ">Mailbox_open()</a> call. Default values for these parameters are set using <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4" title="Function to initialize the Mailbox_Config struct to its defaults. ">Mailbox_Config_init()</a>.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4" title="Function to initialize the Mailbox_Config struct to its defaults. ">Mailbox_Config_init()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga2e985a30d94e9fb71612c06d8a9db96a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mailbox___stats__t.html">Mailbox_Stats_t</a> <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2e985a30d94e9fb71612c06d8a9db96a">Mailbox_Stats</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox Statistics. </p>
<p>The structure describes the Mailbox statistics information </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga39afb53a3aef9f10301e6ad9b7ed5e39"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga39afb53a3aef9f10301e6ad9b7ed5e39">Mailbox_ChID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox channel ID. </p>
<p>This enum defines the possible mailbox channel IDs.<br />
 Used between MSS and DSS only.<br />
IDs are used only when <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacc846aad9f1e171d503751b7c1de3451" title="Mailbox channel type. ">Mailbox_ChType</a> is of type <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>.</p>
<dl class="section warning"><dt>Warning</dt><dd>On <b>XWR14xx</b> this field is NOT used. Application does not need to set this field in <b>XWR14xx</b>.<br />
 On <b>XWR16xx</b> this field is used for the communication between MSS&lt;-&gt;DSS only and needs to be set accordingly by the application when opening channels between MSS&lt;-&gt;DSS.<br />
On <b>XWR16xx</b> this field is NOT used for the communication between MSS&lt;-&gt;BSS or between DSS&lt;-&gt;BSS. Therefore, application does not need to set this field when MSS or DSS open a channel with BSS. </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39ac893de01928877462c1c07ee512eff60"></a>MAILBOX_CH_ID_0&#160;</td><td class="fielddoc">
<p>ID = 0 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39a5a6b70ffbbda9ac778c1642af0da6e72"></a>MAILBOX_CH_ID_1&#160;</td><td class="fielddoc">
<p>ID = 1 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39afb6666ab8fea5483c36bbd215bf13561"></a>MAILBOX_CH_ID_2&#160;</td><td class="fielddoc">
<p>ID = 2 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39ab4d819f3392a176731b5c48756772fc2"></a>MAILBOX_CH_ID_3&#160;</td><td class="fielddoc">
<p>ID = 3 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39ad9ecb0adc5cc165b06221dae474b0952"></a>MAILBOX_CH_ID_4&#160;</td><td class="fielddoc">
<p>ID = 4 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39a1be3a1537dd64423bd1b43dcd565ad9e"></a>MAILBOX_CH_ID_5&#160;</td><td class="fielddoc">
<p>ID = 5 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39a58af32e4eab65e4927d4c8acacebf288"></a>MAILBOX_CH_ID_6&#160;</td><td class="fielddoc">
<p>ID = 6 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39a56e09d2f3c4386ea035264ef90938818"></a>MAILBOX_CH_ID_7&#160;</td><td class="fielddoc">
<p>ID = 7 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga39afb53a3aef9f10301e6ad9b7ed5e39ac20b4ff2d4019138d4b3932c2e601d4c"></a>MAILBOX_CH_ID_MAX&#160;</td><td class="fielddoc">
<p>Maximum ID value, which is <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39a56e09d2f3c4386ea035264ef90938818">MAILBOX_CH_ID_7</a> </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gacc846aad9f1e171d503751b7c1de3451"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacc846aad9f1e171d503751b7c1de3451">Mailbox_ChType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox channel type. </p>
<p>This enum defines the mailbox channel type.<br />
 Used between MSS and DSS only.<br />
This field allows MSS&lt;-&gt;DSS to use multiple (virtual) mailbox channels to communicate.<br />
As there is only one mailbox physical channel, even when multiple channels are open, only one channel can be used at a time by the application.<br />
When multiple channels are used, each channel is identified by a <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga39afb53a3aef9f10301e6ad9b7ed5e39" title="Mailbox channel ID. ">Mailbox_ChID</a>.<br />
The maximum number of channels (or mailbox instances) between MSS and DSS is given by <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39ac20b4ff2d4019138d4b3932c2e601d4c">MAILBOX_CH_ID_MAX</a>.<br />
Each channel is created by opening a new instance of the mailbox driver between MSS and DSS using a different Mailbox_ChID.<br />
If a channel is opened as <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a317d8766d2b7d71416543aa6e1dce106">MAILBOX_CHTYPE_SINGLE</a> then only one MSS&lt;-&gt;DSS channel is allowed and Mailbox_ChID does not need to be populated.<br />
Note that the channel types can not be mixed. That is, a channel of type <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a317d8766d2b7d71416543aa6e1dce106">MAILBOX_CHTYPE_SINGLE</a> in MSS (or DSS) can not communicate with a channel of type <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a> on DSS (or MSS).<br />
Also note that if a channel is opened of type <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>, then all channels <b>must</b> be of <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>. </p><dl class="section warning"><dt>Warning</dt><dd>On <b>XWR14xx</b> this field is NOT used. Application does not need to set this field in <b>XWR14xx</b>.<br />
 On <b>XWR16xx</b> this field is used for the communication between MSS&lt;-&gt;DSS only and needs to be set accordingly by the application when opening channels between MSS&lt;-&gt;DSS.<br />
On <b>XWR16xx</b> this field is NOT used for the communication between MSS&lt;-&gt;BSS or between DSS&lt;-&gt;BSS. Therefore, application does not need to set this field when MSS or DSS open a channel with BSS. </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggacc846aad9f1e171d503751b7c1de3451a317d8766d2b7d71416543aa6e1dce106"></a>MAILBOX_CHTYPE_SINGLE&#160;</td><td class="fielddoc">
<p>Only one mailbox channel (in each direction) allowed between DSS and MSS.<br />
In this case, the field Mailbox_ChID does NOT need to be specified. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98"></a>MAILBOX_CHTYPE_MULTI&#160;</td><td class="fielddoc">
<p>Multiple mailbox channels (in each direction) allowed between DSS and MSS.<br />
In this case, the field Mailbox_ChID needs to be specified. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga09e0b9660f2f3513cf4cdb9db18a64c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09e0b9660f2f3513cf4cdb9db18a64c1">Mailbox_DataTransferMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox data transfer mode. </p>
<p>This enum defines the data transfer mode for the mailbox instance.<br />
It configures how the data is transferred from the application buffer to the mailbox peripheral and from the mailbox peripheral to the application buffer in the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7e5cccca0cf69a3d7db72cb116318713" title="Function that writes data to a Mailbox. ">Mailbox_write</a> and <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read</a> APIs. The configuration applies to both directions.<br />
</p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga09e0b9660f2f3513cf4cdb9db18a64c1a5894cfc58338b0dbfd59e49f52c90906"></a>MAILBOX_DATA_TRANSFER_MEMCPY&#160;</td><td class="fielddoc">
<p>Data transfer between maibox memory and application memory done through memcpy() </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga09e0b9660f2f3513cf4cdb9db18a64c1ab57215e9f37e0579d7353f19957157ce"></a>MAILBOX_DATA_TRANSFER_DMA&#160;</td><td class="fielddoc">
<p>Data transfer between maibox memory and application memory done through DMA </p><dl class="section warning"><dt>Warning</dt><dd>This mode is currently not supported. </dd></dl>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga25c5d7080b2c68bffeab4e640b2322e7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga25c5d7080b2c68bffeab4e640b2322e7">Mailbox_Mode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox mode settings. </p>
<p>This enum defines the read and write modes for the configured Mailbox. Note that not all types are supported by read/write APIs. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga25c5d7080b2c68bffeab4e640b2322e7a3386112fa6bef9b12e20c05075ea6218"></a>MAILBOX_MODE_BLOCKING&#160;</td><td class="fielddoc">
<p>Blocking mode. Driver uses a semaphore to block while data is being sent or received. Context of the call must be a Task. Please refer to <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7e5cccca0cf69a3d7db72cb116318713" title="Function that writes data to a Mailbox. ">Mailbox_write()</a> and <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read()</a> APIs for specific information. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b"></a>MAILBOX_MODE_POLLING&#160;</td><td class="fielddoc">
<p>Polling mode. Please refer to <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7e5cccca0cf69a3d7db72cb116318713" title="Function that writes data to a Mailbox. ">Mailbox_write()</a> and <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read()</a> APIs for specific information. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb"></a>MAILBOX_MODE_CALLBACK&#160;</td><td class="fielddoc">
<p>Call back mode. Valid only for Mailbox_read API. Application call back functions are called when interrupt is received for a new message to be read or when interrupted is received from an acknowledge of a previously transmitted message. Application still needs to call the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read()</a> API to handle the received message. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gae0058d574361427caac94b3b81006c51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0058d574361427caac94b3b81006c51">Mailbox_OpMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox operation mode settings. </p>
<p>This enum defines the operation modes for the configured Mailbox. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggae0058d574361427caac94b3b81006c51a85e3e931bb7e4fedd2b4933baff7048e"></a>MAILBOX_OPERATION_MODE_PARTIAL_READ_ALLOWED&#160;</td><td class="fielddoc">
<p>Current only one available operation mode. In this mode the driver allows for a partial read of a received message. <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d25769fbce366f54005349726db58ea" title="Function that should be called after application is done reading the message. ">Mailbox_readFlush()</a> needs to be used once application finishes reading the message. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga3fd8433860dbf1ce1d5692461a8603ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3fd8433860dbf1ce1d5692461a8603ee">Mailbox_Type</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox Type settings. </p>
<p>This enum defines the types of Mailbox. Must use the enum values listed below as these values are used in expressions. A mailbox connects a "local endpoint" to a "remote endpoint". Each endpoint is of a type defined by this enum. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga3fd8433860dbf1ce1d5692461a8603eea4a9169f2a1de1532fbd70b661ebbc2aa"></a>MAILBOX_TYPE_BSS&#160;</td><td class="fielddoc">
<p>BSS Mailbox type </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3fd8433860dbf1ce1d5692461a8603eeaaea27598df8547f8d247e7df10844ae9"></a>MAILBOX_TYPE_MSS&#160;</td><td class="fielddoc">
<p>MSS Mailbox type </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3fd8433860dbf1ce1d5692461a8603eeafee1264504d1ecdd19bde3698e27c947"></a>MAILBOX_TYPE_DSS&#160;</td><td class="fielddoc">
<p>DSS Mailbox type </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3fd8433860dbf1ce1d5692461a8603eeab36b8812fda7914c3399bae22bb29958"></a>MAILBOX_TYPE_LAST&#160;</td><td class="fielddoc">
<p>Last Mailbox type </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
